Page MenuHomePhabricator

Simplify default MT config
Closed, ResolvedPublic

Description

Currently, MT defaults are managed via config/mt-defaults.wikimedia.yaml, which is difficult to maintain with more and more language pair additions and likely error prone. Split it or manage it via some other way to make sure it is readable and manageable.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 23 2018, 2:27 PM
KartikMistry renamed this task from Simplyfy default MT config to Simplify default MT config.Dec 23 2018, 2:28 PM
Pginer-WMF triaged this task as Normal priority.Dec 27 2018, 11:23 AM

There are 855 lines of coniguration that maps language pairs to 'source- mt' https://github.com/wikimedia/mediawiki-services-cxserver/blob/master/config/mt-defaults.wikimedia.yaml

I see no reason to have source-mt as default if there is an MT engine(If not present source-mt become default anyway). The UI allows to easily choose a preferred one and persist that option.

@Pginer-WMF agree?

Yes. Makes sense. It seems that can be simplified.

Some entries are quite old, I'll submit cleaning patch as followups.

Change 495866 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/services/cxserver@master] Remove 'source-mt' option for all language pairs

https://gerrit.wikimedia.org/r/495866

Change 495866 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Remove 'source-mt' option for all language pairs

https://gerrit.wikimedia.org/r/495866

Mentioned in SAL (#wikimedia-operations) [2019-03-14T07:18:50Z] <kartik@deploy1001> Started deploy [cxserver/deploy@3ba57a5]: Update cxserver to b16f4a1 (T212577, T208386)

Mentioned in SAL (#wikimedia-operations) [2019-03-14T07:22:40Z] <kartik@deploy1001> Finished deploy [cxserver/deploy@3ba57a5]: Update cxserver to b16f4a1 (T212577, T208386) (duration: 03m 50s)

Arrbee closed this task as Resolved.Mar 15 2019, 8:13 AM